version: '3.6'
services:
  openldap:
    image: osixia/openldap:1.3.0
    container_name: openldap
    env_file:
      - .env_openldap
    tty: true
    stdin_open: true
    volumes:
      - ./VOLUMES/ldap/var:/var/lib/ldap
      - ./VOLUMES/ldap/config:/etc/ldap/slapd.d
      - ./VOLUMES/ldap/certs:/container/service/slapd/assets/certs/
    ports:
      - 389:389
      - 636:636
    command: --loglevel debug
    networks:
      - traefik
    
  phpldapadmin:
    image: osixia/phpldapadmin:latest
    container_name: phpldapadmin
    environment:
      - PHPLDAPADMIN_LDAP_HOSTS=openldap
      - PHPLDAPADMIN_HTTPS=false
    labels:
      traefik.frontend.rule: Host:ldap-gcr-pharma-staging.digitalbusiness4ever.com
      traefik.enable: true
      traefik.port: 80
      traefik.frontend.entryPoints: https,http
      traefik.frontend.redirect.entryPoint: https
    depends_on:
      - openldap
    networks:
      - traefik
    
networks:
  traefik:
    external:
        name: traefik_gcr-pharma